## repeatmasker-recon 1.08

=== src/Makefile ===
# Makefile for ReCon
#
#
VERSION = 1.08

## where you want things installed
BINDIR  = ../bin
MANDIR  = $(HOME)/man

## sourcefiles
#SRCDIR = .

## your compiler
#CC = cc    # for SGI Origin200 compiler#
CC = gcc

## any special compiler flags you want
#  -pedantic clashes with -DMEMDEBUG??
#
#CFLAGS = -g -Wall -pedantic
CFLAGS = -O
#CFLAGS = -g
#CFLAGS = -TARG:exc_max -64 -Ofast=ip27   #specific SGI Origin200  compiler#

## machine specific definitions
#  None should be needed
#
# Development:
# -DASSERT        Diagnostics level 1. Assertions. 
# -DVERBOSE       Diagnostics level 2. Verbosity.  (unused at the moment)
# -DMEMDEBUG      Diagnostics level 3. Memory checking. (maybe slow!)
#                                      (must link w/ -ldbmalloc) 
# -DLINTING       Suppress overzealous warnings from gcc -Wall and lint   
#
#MDEFS = -DLINTING -DASSERT -DMEMDEBUG
#MDEFS = -DASSERT 
 
## how to install the man pages 
## cp is fine
INSTMAN   = cp
MANSUFFIX = 1

## Your compression program
COMPRESS = gzip               # GNU compression (better, smaller)
#COMPRESS = compress          # generic UNIX compress (portable)

#######
## should not need to modify below this line
#######
SHELL  = /bin/sh
LIBS   = -lsquid -lm
#LIBS = -ldbmalloc -lsquid -lm 

READMES = README 
#INSTALL COPYING DEMO GNULICENSE FILES

PROGS = imagespread eledef eleredef edgeredef famdef

MANSRC= 

DOCS =  

HDRS =  bolts.h seqlist.h msps.h ele.h

MAIN =  

SRC =   imagespread.c eledef.c eleredef.c edgeredef.c famdef.c


OBJ =   

DISTFILES = $(MAIN) $(SRC) $(HDRS) $(MANSRC) $(READMES) $(DOCS)

TESTSUITE = 

DEMOS = $(HOME)/Demos

all: 	$(PROGS)


install: $(PROGS)
	cp $(PROGS) $(BINDIR)/

clean:
	-rm -f imagespread eledef eleredef edgeredef famdef *.o *~ *.Addrs *.Counts *.pixie Makefile.bak core $(PROGS) TAGS

tags:
	etags -t $(DISTFILES)

dist:
	@if test -d recon-$(VERSION);        then rm -rf recon-$(VERSION);    fi
	@if test -f recon-$(VERSION).tar.gz; then rm recon-$(VERSION).tar.gz; fi
	@if test -f recon-$(VERSION).tar.Z;  then rm recon-$(VERSION).tar.Z;  fi
	mkdir recon-$(VERSION)/
	cp $(DISTFILES) recon-$(VERSION)/
	cp Makefile.dist recon-$(VERSION)/Makefile
	mkdir recon-$(VERSION)/Testsuite
	for testfile in $(TESTSUITE); do \
	  cp Testsuite/$$testfile recon-$(VERSION)/Testsuite/;\
	done
	mkdir recon-$(VERSION)/Demos
	for demofile in $(DEMOS); do\
	  cp Demos/$$demofile recon-$(VERSION)/Demos/;\
	done
	tar cvf recon-$(VERSION).tar recon-$(VERSION)
	$(COMPRESS) recon-$(VERSION).tar

test:   
	(cd Testsuite; testsuite.sh)

lint:
	lint -h -I$(SQUIDDIR) $(RFLAGS) $(MAIN) $(SRC) $(SQUIDDIR)/llib-lsquid.ln /usr/lib/lint/llib-lm.ln

.c.o:
	$(CC) $(CFLAGS) $(MDEFS) -I$(SQUIDDIR) -c $<		

.m.o:
	$(CC) $(CFLAGS) $(MDEFS) -I$(SQUIDDIR) -c $<

=== debian/changelog ===
repeatmasker-recon (1.08-6) unstable; urgency=medium

  * Fix FTCBFS by not hardcoding make in d/rules
    (Closes: #982912)
  * Drop help2man from build-deps
  * Add myself to uploaders
  * Add d/salsa-ci.yml
  * Bump watch version to 4
  * Migrate to secure https URLs
  * Declare compliance with policy 4.5.1

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 16 Feb 2021 21:18:05 +0530

repeatmasker-recon (1.08-5) unstable; urgency=medium

  * Team Upload.
  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

  [ Nilesh Patra ]
  * Add autopkgtests
  * Fix watch URL
  * compat version: 13, standards version: 4.5.0
  * Add "Rules-Requires-Root:no"
  * Update URLs

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 11 Aug 2020 17:04:32 +0530

repeatmasker-recon (1.08-4) unstable; urgency=medium

  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Fix spelling in description
  * Do not parse d/changelog
  * hardening=+all

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jul 2018 11:49:40 +0200

repeatmasker-recon (1.08-3) unstable; urgency=medium

  * Add myself to Uploaders
  * Fix source URL
  * Provide better manpages
  * cme fix dpkg-control

 -- Andreas Tille <tille@debian.org>  Wed, 06 Apr 2016 12:25:19 +0200

repeatmasker-recon (1.08-2) unstable; urgency=medium

  * Team upload
  * Drop pointer to reference from long description and replace it by
    abstract text (formatted via cme fix dpkg-control which did some
    more adjustments)
  * Add citation as debian/upstream/metadata

 -- Andreas Tille <tille@debian.org>  Tue, 02 Feb 2016 15:47:47 +0100

repeatmasker-recon (1.08-1) unstable; urgency=low

  * Initial release (Closes: # 796487)

 -- Olivier Sallou <osallou@debian.org>  Sat, 22 Aug 2015 07:06:18 +0000

=== debian/control ===
Source: repeatmasker-recon
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Olivier Sallou <osallou@debian.org>,
           Andreas Tille <tille@debian.org>,
           Nilesh Patra <npatra974@gmail.com>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/repeatmasker-recon
Vcs-Git: https://salsa.debian.org/med-team/repeatmasker-recon.git
Homepage: https://www.repeatmasker.org/
Rules-Requires-Root: no

Package: repeatmasker-recon
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Description: finds repeat families from biological sequences
 The RECON package implements a de novo algorithm for the identification
 of repeat families from biological sequences.
 .
 The program implements an approach for the de novo identification and
 classification of repeat sequence families that is based on extensions
 to the usual approach of single linkage clustering of local pairwise
 alignments between genomic sequences. The extensions use multiple
 alignment information to define the boundaries of individual copies of
 the repeats and to distinguish homologous but distinct repeat element
 families. When tested on the human genome, this approach was able to
 properly identify and group known transposable elements. The program,
 should be useful for first-pass automatic classification of repeats in
 newly sequenced genomes.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on dh7 syntax
%:
	dh $@ --sourcedirectory=src

override_dh_auto_test:
	echo "Do not run tests since there exists no testsuite.sh needed to run those in the package"

execute_before_dh_auto_install:
	mkdir -p bin

execute_after_dh_install:
	cp scripts/recon.pl debian/repeatmasker-recon/usr/bin/repeatmasker-recon
	cp scripts/MSPCollect.pl debian/repeatmasker-recon/usr/bin/MSPCollect
	
override_dh_clean:
	rm -rf bin
	dh_clean

=== debian/watch ===
version=4

https://www.repeatmasker.org/RepeatModeler/RECON-(\d\S*)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
